Vulnerability & Exploit Database

Back to search

WordPress Asset-Manager PHP File Upload Vulnerability

This module exploits a vulnerability found in Asset-Manager <= 2.0 WordPress plugin. By abusing the upload.php file, a malicious user can upload a file to a temp directory without authentication, which results in arbitrary code execution.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/unix/webapp/wp_asset_manager_upload_exec

Authors

  • Sammy FORGIT
  • James Fitts <fitts.james [at] gmail.com>

References

Targets

  • asset-manager <= 2.0

Platforms

  • php

Architectures

  • php

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/unix/webapp/wp_asset_manager_upload_exec msf exploit(wp_asset_manager_upload_exec) > show targets ...targets... msf exploit(wp_asset_manager_upload_exec) > set TARGET <target-id> msf exploit(wp_asset_manager_upload_exec) > show options ...show and set options... msf exploit(wp_asset_manager_upload_exec) > exploit